> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Shipping


> Send shipping information for shipped orders




## OpenAPI

````yaml /openapi/scx/seller.json put /v1/seller/order/shipping
openapi: 3.0.2
info:
  title: SCX Seller API
  version: '1.0'
  x-logo:
    url: https://scx-sandbox.ui.jtl-software.com/docs/scx.png
  description: |
    SCX Seller API
servers:
  - url: https://scx-sbx.api.jtl-software.com
    description: Sandbox Environment
security: []
tags:
  - name: Account
    description: Seller account management
  - name: Offer
    description: Seller offer management
  - name: Events
    description: Channel and system events for the seller
  - name: Meta
    description: Channel meta information (categories, attributes, rules)
  - name: Order
    description: Order processing, payments, shipping, cancellations and refunds
  - name: Report
    description: Seller report generation and retrieval
  - name: Ticket
    description: Channel ticket management
paths:
  /v1/seller/order/shipping:
    put:
      tags:
        - Order
      summary: |
        Shipping
      description: |
        Send shipping information for shipped orders
      operationId: CreateShippingForOrders
      requestBody:
        $ref: '#/components/requestBodies/OrderShippingRequest'
      responses:
        '201':
          $ref: '#/components/responses/Created'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/AccessForbidden'
        '429':
          $ref: '#/components/responses/RequestThrottled'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - SellerAuth: []
components:
  requestBodies:
    OrderShippingRequest:
      description: >-
        Shipping notification for one or more order line items, including
        carrier and tracking information.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/OrderShipping'
  responses:
    Created:
      description: Created
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: VAL100
                message: Required field sellerId not found
                severity: error
                hint: Check the field `sellerId` — it must be a non-empty string.
    AccessForbidden:
      description: Access forbidden, invalid or unknown Token was used.
    RequestThrottled:
      description: User has send to many requests
    ServerError:
      description: Unexpected Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: GEN500
                message: Internal Server Error
                severity: error
                hint: null
  schemas:
    OrderShipping:
      description: >-
        Batch of shipping notifications for marketplace orders (carrier,
        tracking number, ship date).
      type: object
      properties:
        orderList:
          type: array
          items:
            type: object
            required:
              - channel
            allOf:
              - $ref: '#/components/schemas/SellerOrderShipping'
              - properties:
                  channel:
                    $ref: '#/components/schemas/Channel'
    ErrorResponseList:
      type: object
      properties:
        errorList:
          nullable: true
          type: array
          example:
            - code: GEN700
              message: Seller SELLER_4711 does not exist on channel kaufland.
              severity: error
              hint: i9n-order22
          items:
            title: Error
            type: object
            properties:
              code:
                type: string
                example: GEN700
              message:
                type: string
                example: Seller SELLER_4711 does not exist on channel kaufland.
              severity:
                type: string
                enum:
                  - error
                  - warning
                  - info
                default: error
              hint:
                type: string
                nullable: true
                example: i9n-order22
    SellerOrderShipping:
      type: object
      required:
        - sellerId
        - orderId
        - shippingComplete
        - shippedAt
        - shippingItems
      properties:
        sellerId:
          $ref: '#/components/schemas/SellerId'
        orderId:
          $ref: '#/components/schemas/ChannelOrderId'
        shippingComplete:
          description: |
            When shipping is completed set to "true".
          type: boolean
          example: true
        shippingItems:
          type: array
          required:
            - carrier
          minItems: 1
          items:
            title: OrderShippingPosition
            type: object
            required:
              - carrier
            properties:
              carrier:
                type: string
                example: DHL
              trackingNumber:
                description: >
                  Optional URL provided by the merchant that allows
                  customers/buyers to track their shipment. 

                  This tracking URL enables customers to monitor the delivery
                  status and location of their order 

                  during the shipping process.
                type: string
                example: '23435833543343222322'
              trackingUrl:
                type: string
                example: >-
                  https://www.dhl.de/de/home/tracking.html?AWB=23435833543343222322
              returnTracking:
                description: >
                  The return tracking number and carrier for the return process.
                  Each orderItemId may have its own return

                  tracking.
                type: object
                nullable: true
                required:
                  - carrier
                  - trackingNumber
                properties:
                  carrier:
                    type: string
                    example: DHL
                  trackingNumber:
                    type: string
                    example: '432353833232443222322'
                  trackingUrl:
                    description: >
                      Optional URL provided by the merchant that allows
                      customers/buyers to track their shipment. 

                      This tracking URL enables customers to monitor the
                      delivery status and location of their order 

                      during the shipping process.
                    type: string
                    example: >-
                      https://www.dhl.de/de/home/tracking.html?AWB=432353833232443222322
              shippedAt:
                type: string
                format: date-time
                example: '2019-01-13T12:00:00+00:00'
              orderItemIdList:
                description: |
                  Container to describe what items are included.
                nullable: true
                type: array
                minItems: 0
                items:
                  title: OrderShippingPositionItem
                  type: object
                  required:
                    - orderItemId
                    - quantity
                  properties:
                    orderItemId:
                      $ref: '#/components/schemas/OrderItemId'
                    quantity:
                      oneOf:
                        - type: number
                          format: float
                        - type: integer
              shippedFrom:
                description: The adress from where the shipment is sent.
                type: object
                nullable: true
                required:
                  - country
                  - city
                  - postcode
                properties:
                  city:
                    type: string
                    example: Köln
                  country:
                    type: string
                    example: DE
                  postcode:
                    type: string
                    example: '51107'
    Channel:
      description: |
        This is the unique Channel name.
      type: string
      example: MYBESTDEALCOMDE
      pattern: ^\w{5,15}$
    SellerId:
      description: >
        A unique Id identify a Seller on a specific SalesChannel. The SellerId
        is generated

        from the Channel itself during the Seller SignUp Process.
      type: string
      example: '4711'
      pattern: ^\w{1,50}$
    ChannelOrderId:
      type: string
      minLength: 1
      maxLength: 150
      example: 43523-43432-43532
    OrderItemId:
      description: >-
        A unique identifier to identify a order item. This ID is provided by the
        Channel itself an should be used to identify a order item id.
      type: string
      example: '5437233'
      format: string
      minLength: 1
      maxLength: 50
  securitySchemes:
    SellerAuth:
      description: >
        Bearer JWT issued to a seller after they sign up for a JTL-Scx
        subscription via the JTL

        Customer Center. Usage format: `Bearer <JWT>`.
      type: http
      scheme: bearer
      bearerFormat: JWT

````